Module
Contents
Index 🔎︎

# MsgBox-uttryck

Visar en dialogruta som innehåller ett meddelande.

## Syntax:

    MsgBox Text As String [,Type As Integer [,Dialogtitle As String]] (As Statement) eller MsgBox (Text As String [,Type As Integer [,Dialogtitle As String]]) (As Function)

## Parameter:

Text: Stränguttryck visat som ett meddelande i dialogrutan. Radbrytningar kan infogas med Chr$(13).

DialogTitle: Stränguttryck visat i dialogrutans titellist. Om det utelämnas visas namnen på respektive program på titellisten.

Typ: Ett heltalsuttryck som anger dialogrutetypen liksom hur många och vilken typ av knappar som ska visas, samt ikontypen. Typ representerar en kombination av bitmönster, dvs. en kombination av element kan definieras genom att respektive värde läggs till:

Namngiven konstant | Heltalsvärde | Definition
MB_OK | 0 | Visa endast OK-knappen.
MB_OKCANCEL | 1 | Visa knapparna OK och Avbryt.
MB_ABORTRETRYCANCEL | 2 | Visa knapparna Avbryt, Upprepa och Ignorera.
MB_YESNOCANCEL | 3 | Visa knapparna Ja, Nej och Avbryt.
MB_YESNO | 4 | Visa knapparna Ja och Nej
MB_RETRYCANCEL | 5 | Visa knapparna Upprepa och Avbryt.
MB_ICONSTOP | 16 | Lägg till Stoppikonen i dialogrutan.
MB_ICONQUESTION | 32 | Lägg till Frågeikonen i dialogrutan.
MB_ICONEXCLAMATION | 48 | Lägg till ikonen Utropstecken i dialogrutan.
MB_ICONINFORMATION | 64 | Lägg till Informationsikonen i dialogrutan.
| 128 | Första knappen i dialogrutan som standardknapp.
MB_DEFBUTTON2 | 256 | Andra knappen i dialogrutan som standardknapp.
MB_DEFBUTTON3 | 512 | Tredje knappen i dialogrutan som standardknapp.

## Felkoder:

5 Felaktigt proceduranrop

## Exempel:

    Sub ExampleMsgBox

     Const sText1 = "Ett oväntat fel inträffade."

     Const sText2 = "Programmet kommer dock att fortsätta köras."

     Const sText3 = "Fel"

     MsgBox(sText1 + Chr(13) + sText2,16,sText3)

     MsgBox(sText1 + Chr(13) + sText2, MB_ICONSTOP, sText3)

    End Sub